ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmitro Lisnichenko" <dlysniche...@hortonworks.com>
Subject Re: Review Request 36171: Pre RU - install failed and attempts to re-install continue to fail
Date Tue, 07 Jul 2015 08:32:49 GMT


> On July 6, 2015, 5:16 p.m., Alejandro Fernandez wrote:
> > ambari-server/src/main/resources/custom_actions/scripts/install_packages.py, line
242
> > <https://reviews.apache.org/r/36171/diff/2/?file=1000312#file1000312line242>
> >
> >     Can you add a comment that it's important to use the normalized version here
that doesn't contain the build number?
> >     
> >     If self.repository_version does contain the build number, it will have to be
removed.
> >     E.g.,
> >     first call is for 2.3.0.0-1234 (wrong build number, which actually installs
2.3.0.0-5678)
> >     Then we should save to the history file,
> >     2.3.0.0,2.3.0.0-5678
> >     
> >     This can then update the DB record.
> >     
> >     On the next call, the repository_version will contain the correct build number,
but the first element in the history file will not.

How should it work when we add few repo versions of 2.3.0.0 in parallel? We can not have few
entries in history file like 

2.3.0.0,2.3.0.0-5678
2.3.0.0,2.3.0.0-5670


- Dmitro


-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/36171/#review90501
-----------------------------------------------------------


On July 6, 2015, 5:06 p.m., Dmitro Lisnichenko wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/36171/
> -----------------------------------------------------------
> 
> (Updated July 6, 2015, 5:06 p.m.)
> 
> 
> Review request for Ambari, Alejandro Fernandez, Jonathan Hurley, and Nate Cole.
> 
> 
> Bugs: AMBARI-12278
>     https://issues.apache.org/jira/browse/AMBARI-12278
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> 2015-07-01 08:07:10,323 - Failure while computing actual version. Error: Could not determine
actual version. This stack's root directory (/usr/hdp) exists but was not able to determine
the actual repository version installed. Try reinstalling packages again.
> Traceback (most recent call last):
>   File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py", line
299, in install_packages
>     self.compute_actual_version()
>   File "/var/lib/ambari-agent/cache/custom_actions/scripts/install_packages.py", line
254, in compute_actual_version
>     raise Fail(msg)
> Fail: Could not determine actual version. This stack's root directory (/usr/hdp) exists
but was not able to determine the actual repository version installed. Try reinstalling packages
again.
> Traceback (most recent call last):
> 
> 
> Diffs
> -----
> 
>   ambari-common/src/main/python/resource_management/libraries/functions/hdp_select.py
5fdc35d 
>   ambari-server/src/main/resources/custom_actions/scripts/install_packages.py b028852

>   ambari-server/src/test/python/custom_actions/TestInstallPackages.py 1e6dcea 
> 
> Diff: https://reviews.apache.org/r/36171/diff/
> 
> 
> Testing
> -------
> 
> Performed E2E tests
> 
> 
> OK
> ----------------------------------------------------------------------
> Total run:796
> Total errors:0
> Total failures:0
> OK
> 
> 
> Thanks,
> 
> Dmitro Lisnichenko
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message